<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <!-- font -->
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Happy+Monkey&family=Squada+One&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css2?family=Lexend+Deca&display=swap" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <link href="https://fonts.googleapis.com/css2?family=ABeeZee&display=swap" rel="stylesheet">
    <title>Cart</title>
</head>

<body>
    <div class="container-fluid website-header" id="website-header">
        <div class="row p-5 justify-content-between header-nav-bar">
            <div class="header-logo col-lg-2 col-sm-12">WHAT2EAT</div>
            <div class="header-menu-bar col-lg-4 col-sm-12">
                <ul class="navbar-nav nav-fill w-100">
                    <li class="nav-item active">
                        <a class="nav-link" href="index.html">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#website-header">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#kitchen-section">Menu</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#blog-section">Blog</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#contact-us-section">Contact</a>
                    </li>
                </ul>
            </div>
            <div class="header-menu-button col-lg-1 col-sm-12">
                <i class="fa-solid fa-magnifying-glass" style="color: #ffffff; cursor: pointer;" title="Search"></i>
                <i class="fa-solid fa-bag-shopping" style="color: #ffffff; cursor: pointer;"
                    title="Your bag shopping"></i>
            </div>
        </div>
        <div class="row align-items-center p-5">
            <div class="col-lg-6 col-md-12 p-5">
                <h1 class="header-title">Authentic Home food in UK</h1>
                <p class="header-des">What2Eat is a courier service in which authentic home cook food is delivered to a
                    customer.</p>
                <div class="header-search">
                    <input type="text" placeholder="Search food you love" id="inp-search-food">
                    <button>Search</button>
                </div>
            </div>
            <div class="col-lg-6 col-md-12 header-background">
                <img src="./Images/cooking.man.header.png" alt="">
            </div>
        </div>
    </div>
    <div class="container-fluid shopping-cart d-flex justify-content-center flex-column align-items-center">
        <div class="content-bar d-flex justify-content-center mt-5 mb-5 flex-row">
            <span>Home /</span>
            <span>Trending /</span>
            <span>Famous Tandoor</span>
        </div>
        <div class="product-table container">
            <table class="table" id="product-table">
                <thead>
                    <tr>
                        <th scope="col">PRODUCT</th>
                        <th scope="col">PRICE</th>
                        <th scope="col">QTY</th>
                        <th scope="col">UNIT PRICE</th>
                    </tr>
                </thead>
                <tbody>
                </tbody>
            </table>
        </div>
        <div class="check-order-section container row mt-5 mb-5">
            <div class="col-lg-6 check-coupon mt-5">
                <input type="text" placeholder="Voucher code" id="inp-voucher-code">
                <button id="btn-redeem-voucher">Redeem</button>
            </div>
            <div class="col-lg-6 check-order">
                <div class="order-subtotal">
                    <label for="subtotal-price">Subtotal</label>
                    <div>$<span class="subtotal-price"></span></div>
                </div>
                <div class="order-shippingfee">
                    <label for="shipping-price">Shipping fee</label>
                    <div>$<span class="shipping-price"></span></div>
                </div>
                <div class="order-coupon">
                    <label>Coupon</label>
                    <div></div>
                </div>
                <div class="line"></div>
                <div class="order-total">
                    <label for="total-price">TOTAL</label>
                    <div>$<span class="total-price"></span></div>
                </div>
                <button id="btn-check-out">Check Out</button>
            </div>
        </div>
    </div>
    <div class="container-fluid website-footer d-flex flex-column align-items-center">
        <div class="row p-5 justify-content-between header-nav-bar">
            <div class="header-logo col-lg-2 col-sm-12">WHAT2EAT</div>
            <div class="header-menu-bar col-lg-4 col-sm-12">
                <ul class="navbar-nav nav-fill w-100">
                    <li class="nav-item active">
                        <a class="nav-link" href="index.html">Home</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#website-header">About</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#kitchen-section">Menu</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#blog-section">Blog</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="#contact-us-section">Contact</a>
                    </li>
                </ul>
            </div>
            <div class="header-menu-button col-lg-1 col-sm-12">
                <img src="./Images/facebook.png" alt="">
                <img src="./Images/instagram.png" alt="">
            </div>
        </div>
        <div class="line"></div>
        <h4>Copyright @2021 What2Eat</h4>
    </div>
    <!-- Check out modal -->
    <div>
        <div id="check-out-modal" class="modal fade" tabindex="-1">
            <div class="modal-dialog modal-lg">
                <div class="modal-content">
                    <div class="modal-header">
                        <button class="close" data-dismiss="modal">&times;</button>
                        <h5 class="modal-title" id="h5-modal-title">Make Payment</h5>
                    </div>
                    <div class="modal-body">
                        <div class="check-out-step">
                            <div id="step-1">1</div>
                            <div class="connect-line"></div>
                            <div id="step-2">2</div>
                        </div>
                        <form class="m-5">
                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <input type="text" class="form-control" placeholder="Firstname"
                                        id="inp-modal-firstname">
                                    <input type="email" class="form-control" placeholder="Email Address"
                                        id="inp-modal-email">
                                    <p class="select-method-of-payment-p">Select Method of Payment</p>
                                    <div class="form-check">
                                        <i class="fa-regular fa-credit-card" style="color: #1AC172;"></i>
                                        <label class="form-check-label" for="inp-check-credit-card">
                                            Credit Card or Debit
                                        </label>
                                        <input class="form-check-input" type="checkbox" id="inp-check-credit-card"
                                            value="CreditCard">
                                    </div>
                                    <div class="form-check">
                                        <i class="fa-brands fa-paypal" style="color: #039AE4;"></i>
                                        <label class="form-check-label" for="inp-check-paypal">
                                            Paypal
                                        </label>
                                        <input class="form-check-input" type="checkbox" id="inp-check-paypal"
                                            value="Paypal">
                                    </div>
                                    <div class="form-check">
                                        <i class="fa-solid fa-building-columns" style="color: #1AC172;"></i>
                                        <label class="form-check-label" for="inp-check-bank-transfer">
                                            Bank Transfer
                                        </label>
                                        <input class="form-check-input" type="checkbox" id="inp-check-bank-transfer"
                                            value="BankTransfer">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <input type="text" class="form-control" placeholder="Lastname"
                                        id="inp-modal-lastname">
                                    <textarea name="txt-address" rows="5" placeholder="Address for Delivery"
                                        id="txt-modal-address"></textarea>
                                    <input type="text" class="form-control" placeholder="Mobile Phone"
                                        id="inp-modal-phone">
                                </div>
                            </div>
                        </form>
                    </div>
                    <div class="modal-footer">
                        <button class="btn " id="btn-go-to-payment">Go to Payment</button>
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
<script>
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "https://food-ordering-fvo9.onrender.com/api";
    var gPizzaList = [];
    var gSubTotal = 0;
    var gTotal = 0;
    const gShippingFee = 20;
    var gVoucherCode = [];
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onPageLoading();

        checkLocalStorage();

        $(".header-logo").click(function () {
            window.location.href = "index.html";
        });

        $("#product-table tbody").on("click", ".quantity-minus", function () {
            var vPizzaQuantityInput = $(this).closest(".table-pizza-quantity").find(".table-inp-pizza-quantity");
            var vPizzaUnitPriceInput = $(this).closest("tr").find(".table-inp-pizza-unit-price");
            var vPizzaPriceInput = $(this).closest("tr").find(".table-inp-pizza-price");
            if (vPizzaQuantityInput.val() != 1) {
                vPizzaQuantityInput.val(parseInt(vPizzaQuantityInput.val()) - 1);
                vPizzaPriceInput.val(parseFloat(vPizzaPriceInput.val()) - parseFloat(vPizzaUnitPriceInput.val()));
                gSubTotal -= parseFloat(vPizzaUnitPriceInput.val());
                loadCheckOrder();
            }
        });

        $("#product-table tbody").on("click", ".quantity-plus", function () {
            var vPizzaQuantityInput = $(this).closest(".table-pizza-quantity").find(".table-inp-pizza-quantity");
            var vPizzaUnitPriceInput = $(this).closest("tr").find(".table-inp-pizza-unit-price");
            var vPizzaPriceInput = $(this).closest("tr").find(".table-inp-pizza-price");
            vPizzaQuantityInput.val(parseInt(vPizzaQuantityInput.val()) + 1);
            vPizzaPriceInput.val(parseFloat(vPizzaPriceInput.val()) + parseFloat(vPizzaUnitPriceInput.val()));
            gSubTotal += parseFloat(vPizzaUnitPriceInput.val());
            loadCheckOrder();
        });

        $("#product-table tbody").on("click", ".table-pizza-remove", function () {
            localStorage.removeItem($(this).data("key"));
            loadPizzaFromLocalStorageToPizzaList();
            loadPizzaListToProductTable(gPizzaList);
            loadCheckOrder();
        });

        $("#btn-redeem-voucher").on("click", function () {
            //B1: thu thap du lieu
            var vVoucherCode = $("#inp-voucher-code").val();
            //B2: kiem tra du lieu
            if (vVoucherCode == "") {   //Không nhập mã giảm giá
                gVoucherCode = [];
                loadCheckOrder();
            }
            else { //Có nhập mã giảm giá
                $.ajax({
                    url: gBASE_URL + "/vouchers" + "?voucherCode=" + vVoucherCode,
                    type: "GET",
                    success: function (paramVoucher) {
                        console.log("Đã tìm voucher!");
                        gVoucherCode = paramVoucher; //lưu voucher vào biến toàn cục, nếu không tìm thấy thì vẫn trả về []
                        loadCheckOrder();
                        if (paramVoucher == "") {
                            alert("Không tìm thấy voucher!");
                        }
                    },
                    error: function (parmaError) {
                        console.log(parmaError.status);
                    }
                });
            }
        });

        $("#btn-check-out").on("click", function () {
            $("#check-out-modal").modal("show");
            reloadModalCreateOrderToDefault();
        });

        $(".modal-body").on("change", ".form-check-input", function () {
            if ($("#inp-check-credit-card").prop("checked") == true) {
                $("#inp-check-paypal").prop("disabled", "disabled");
                $("#inp-check-bank-transfer").prop("disabled", "disabled");
            }
            else {
                $("#inp-check-paypal").prop("disabled", false);
                $("#inp-check-bank-transfer").prop("disabled", false);
                if ($("#inp-check-paypal").prop("checked") == true) {
                    $("#inp-check-credit-card").prop("disabled", "disabled");
                    $("#inp-check-bank-transfer").prop("disabled", "disabled");
                }
                else {
                    $("#inp-check-credit-card").prop("disabled", false);
                    $("#inp-check-bank-transfer").prop("disabled", false);
                    if ($("#inp-check-bank-transfer").prop("checked") == true) {
                        $("#inp-check-paypal").prop("disabled", "disabled");
                        $("#inp-check-credit-card").prop("disabled", "disabled");
                    }
                    else {
                        $("#inp-check-paypal").prop("disabled", false);
                        $("#inp-check-credit-card").prop("disabled", false);
                    }
                }
            }
        });

        $(".modal-footer").on("click", "#btn-go-to-payment", function () {
            onBtnGoToPaymentModalClick();
        });

        $(".modal-footer").on("click", "#btn-complete", function () {
            onBtnCompleteModalClick();
        });
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onPageLoading() {
        loadPizzaFromLocalStorageToPizzaList();
        loadPizzaListToProductTable(gPizzaList);
        loadCheckOrder();
    }

    function onBtnGoToPaymentModalClick() {
        if (gVoucherCode == "") { //bắt được gVoucherCode = [];
            var vOrderCreate = {
                firstName: "",
                lastName: "",
                email: "",
                address: "",
                phone: "",
                // Payment method là 1 trong 3 giá trị: CreditCard - Paypal - BankTransfer
                methodPayment: "",
                details: []
            }
            //B1: thu thap du lieu
            thuThapDuLieu(vOrderCreate);
            //B2: kiem tra du lieu
            var vDuLieuHopLe = kiemTraDuLieu(vOrderCreate);
            if (vDuLieuHopLe) {
                //B3: goi api
                callApiCreaterOrderWithoutVoucher(vOrderCreate);
            }
        }
        else {
            var vOrderCreate = {
                firstName: "",
                lastName: "",
                email: "",
                address: "",
                phone: "",
                // Payment method là 1 trong 3 giá trị: CreditCard - Paypal - BankTransfer
                methodPayment: "",
                voucherId: 0,
                details: []
            }
            //B1: thu thap du lieu
            thuThapDuLieu(vOrderCreate);
            //B2: kiem tra du lieu
            var vDuLieuHopLe = kiemTraDuLieu(vOrderCreate);
            if (vDuLieuHopLe) {
                //B3: goi api
                callApiCreaterOrderWithVoucher(vOrderCreate);
            }
        }
    }
    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function loadPizzaFromLocalStorageToPizzaList() {
        gPizzaList = [];
        var vKeys = Object.keys(localStorage); //lấy các keys của object ra, bản chất localStorage là một obj, kp array
        var vI = vKeys.length;
        while (vI--) {
            var vPizza = JSON.parse(localStorage.getItem(vKeys[vI]));
            gPizzaList.push(vPizza);
        }
    }

    function checkLocalStorage() {
        if (localStorage.length > 0) {
            $(".fa-bag-shopping").css("color", "#E9BA04");
        }
        else {
            $(".fa-bag-shopping").css("color", "#FFFFFF");
        }
    }

    function loadPizzaListToProductTable(paramPizzaList) {
        var vTableBodyElement = $("#product-table tbody");
        vTableBodyElement.html("");
        gSubTotal = 0;
        for (var bI = 0; bI < paramPizzaList.length; bI++) {
            $("<tr>").html(`
                <td class="d-flex">
                            <div class="pizza-image mr-3">
                                <img src=${paramPizzaList[bI].imageUrl} alt="">
                            </div>
                            <div class="pizza-info">
                                <div class="table-pizza-name">${paramPizzaList[bI].name}</div>
                                <div class="table-pizza-des">Thời gian: ${paramPizzaList[bI].time}</div>
                                <div class="star-rating">
                                    <img src="Images/black-star.png" alt="">
                                    <span>${paramPizzaList[bI].rating}</span>
                                </div>
                            </div>
                        </td>
                        <td>
                            <div class="table-pizza-price">$<input type="number" class="table-inp-pizza-price" value=${paramPizzaList[bI].price} readonly></div>
                        </td>
                        <td>
                            <div class="table-pizza-quantity">
                                <i class="fa-solid fa-minus quantity-minus" style="color: #37C684;"></i>
                                <input type="number" class="table-inp-pizza-quantity" value=1 data-id="${paramPizzaList[bI].id}" readonly>
                                <i class="fa-solid fa-plus quantity-plus" style="color: #37C684;"></i>
                            </div>
                            <div class="table-pizza-remove mt-3" data-key="${paramPizzaList[bI].id - 1}" >Remove item</div>
                        </td>
                        <td>
                            <div class="table-pizza-unit-price">$<input type="number" class="table-inp-pizza-unit-price" value=${paramPizzaList[bI].price} readonly></div>
                        </td>
                `)
                .appendTo(vTableBodyElement);
            gSubTotal += paramPizzaList[bI].price;
        }
    }

    function loadCheckOrder() {
        $(".subtotal-price").html(gSubTotal);
        $(".shipping-price").html(gShippingFee);
        gTotal = gSubTotal + gShippingFee;
        if (gVoucherCode == "") { //bắt được gVoucherCode = [];
            $(".order-coupon div").html("No");
        }
        else {
            $(".order-coupon div").html(`<span>${gVoucherCode[0].discount}</span>%`);
            var vDiscount = (gVoucherCode[0].discount / 100) * gTotal;
            gTotal -= vDiscount;
        }
        $(".total-price").html(gTotal);
    }

    // Hàm kiểm tra email
    function validateEmail(paramEmail) {
        var vRegexEmail = /^(([^<>()[\]\\.,;:\s@"]+(\.[^<>()[\]\\.,;:\s@"]+)*)|.(".+"))@((\[[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\.[0-9]{1,3}\])|(([a-zA-Z\-0-9]+\.)+[a-zA-Z]{2,}))$/;
        var vResult = false;
        if (paramEmail.match(vRegexEmail)) {
            vResult = true;
        }
        return vResult;
    }
    /* Hàm kiểm tra số điện thoại
    Các đầu số 03, 05, 07, 08, 09 (ví dụ: 0981234567)
    Số có thể bắt đầu với +84 hoặc 84 (ví dụ +84981234567, 84981234567)
    độ dài từ 10 đến 12 ký tự (theo đề bài)
    */
    function validatePhoneNumber(paramPhoneNumber) {
        var vRegexPhoneNumber = /(((\+|)84)|0)(3|5|7|8|9)+([0-9]{8})\b/;
        var vResult = false;
        if (paramPhoneNumber.match(vRegexPhoneNumber)) {
            vResult = true;
        }
        return vResult;
    }

    function thuThapDuLieu(paramOrderCreate) {
        paramOrderCreate.firstName = $("#inp-modal-firstname").val();
        paramOrderCreate.lastName = $("#inp-modal-lastname").val();
        paramOrderCreate.email = $("#inp-modal-email").val();
        paramOrderCreate.address = $("#txt-modal-address").val();
        paramOrderCreate.phone = $("#inp-modal-phone").val();
        if ($("#inp-check-credit-card").prop("checked") == true) {
            paramOrderCreate.methodPayment = $("#inp-check-credit-card").val();
        }
        if ($("#inp-check-paypal").prop("checked") == true) {
            paramOrderCreate.methodPayment = $("#inp-check-paypal").val();
        }
        if ($("#inp-check-bank-transfer").prop("checked") == true) {
            paramOrderCreate.methodPayment = $("#inp-check-bank-transfer").val();
        }
        var vTableInputPizzaQuantity = $(".table-inp-pizza-quantity");
        $(vTableInputPizzaQuantity).each(function () {
            var vFood = {
                foodId: $(this).data("id"),
                quantity: $(this).val(),
            }
            paramOrderCreate.details.push(vFood);
        });
        if (gVoucherCode != "") {
            paramOrderCreate.voucherId = gVoucherCode[0].id;
        }
    }

    function kiemTraDuLieu(paramOrderCreate) {
        if (paramOrderCreate.firstName == "") {
            alert("Bạn chưa nhập firstname!");
            return false;
        }
        if (paramOrderCreate.lastName == "") {
            alert("Bạn chưa nhập lastname!");
            return false;
        }
        if (paramOrderCreate.email == "") {
            alert("Bạn chưa nhập email!");
            return false;
        }
        if (validateEmail(paramOrderCreate.email) == false) {
            alert("Email sai định dạng!");
            return false;
        }
        if (paramOrderCreate.address == "") {
            alert("Bạn chưa nhập address!");
            return false;
        }
        if (paramOrderCreate.phone == "") {
            alert("Bạn chưa nhập phone!");
            return false;
        }
        if (validatePhoneNumber(paramOrderCreate.phone) == false) {
            alert("Phone number sai định dạng!");
            return false;
        }
        if (paramOrderCreate.methodPayment == "") {
            alert("Bạn chưa chọn phương thức thanh toán!");
            return false;
        }
        if (paramOrderCreate.details == "") {
            alert("Bạn chưa chọn món!");
            return false;
        }
        return true;
    }


    function callApiCreaterOrderWithoutVoucher(paramOrderCreate) {
        $.ajax({
            url: gBASE_URL + "/orders",
            type: "POST",
            contentType: "application/json",
            data: JSON.stringify(paramOrderCreate),
            success: function (paramOrderObj) {
                console.log("Tạo đơn không mã giảm giá thành công:");
                console.log(paramOrderObj);
                reloadModalCreateOrderSuccess();
            },
            error: function (paramError) {
                console.log(paramError.status);
            }
        });
    }

    function callApiCreaterOrderWithVoucher(paramOrderCreate) {
        $.ajax({
            url: gBASE_URL + "/orders",
            type: "POST",
            contentType: "application/json",
            data: JSON.stringify(paramOrderCreate),
            success: function (paramOrderObj) {
                console.log("Tạo đơn có mã giảm giá thành công:");
                console.log(paramOrderObj);
                reloadModalCreateOrderSuccess();
            },
            error: function (paramError) {
                console.log(paramError.status);
            }
        });
    }

    function reloadModalCreateOrderSuccess() {
        $(".modal-body").html(`<div class="check-out-step">
                            <div id="step-1">1</div>
                            <div class="connect-line"></div>
                            <div id="step-2">2</div>
                        </div>
                        <div class="row flex-column align-items-center">
                            <div class="success-image"><img src="Images/Success Icon.png" alt=""></div>
                            <div class="success-paragraph">Success</div>
                        </div>`);
        $("#step-2").css("background-color", "#1AC073");
        $(".modal-footer .btn").prop("id", "btn-complete").html("Complete");
    }

    function reloadModalCreateOrderToDefault(){
        $(".modal-body").html(`<div class="check-out-step">
                            <div id="step-1">1</div>
                            <div class="connect-line"></div>
                            <div id="step-2">2</div>
                        </div>
                        <form class="m-5">
                            <div class="form-group row">
                                <div class="col-lg-6">
                                    <input type="text" class="form-control" placeholder="Firstname"
                                        id="inp-modal-firstname">
                                    <input type="email" class="form-control" placeholder="Email Address"
                                        id="inp-modal-email">
                                    <p class="select-method-of-payment-p">Select Method of Payment</p>
                                    <div class="form-check">
                                        <i class="fa-regular fa-credit-card" style="color: #1AC172;"></i>
                                        <label class="form-check-label" for="inp-check-credit-card">
                                            Credit Card or Debit
                                        </label>
                                        <input class="form-check-input" type="checkbox" id="inp-check-credit-card"
                                            value="CreditCard">
                                    </div>
                                    <div class="form-check">
                                        <i class="fa-brands fa-paypal" style="color: #039AE4;"></i>
                                        <label class="form-check-label" for="inp-check-paypal">
                                            Paypal
                                        </label>
                                        <input class="form-check-input" type="checkbox" id="inp-check-paypal"
                                            value="Paypal">
                                    </div>
                                    <div class="form-check">
                                        <i class="fa-solid fa-building-columns" style="color: #1AC172;"></i>
                                        <label class="form-check-label" for="inp-check-bank-transfer">
                                            Bank Transfer
                                        </label>
                                        <input class="form-check-input" type="checkbox" id="inp-check-bank-transfer"
                                            value="BankTransfer">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <input type="text" class="form-control" placeholder="Lastname"
                                        id="inp-modal-lastname">
                                    <textarea name="txt-address" rows="5" placeholder="Address for Delivery"
                                        id="txt-modal-address"></textarea>
                                    <input type="text" class="form-control" placeholder="Mobile Phone"
                                        id="inp-modal-phone">
                                </div>
                            </div>
                        </form>`);
        $("#step-2").css("background-color", "#DEDEDF");
        $(".modal-footer .btn").prop("id", "btn-go-to-payment").html("Go to Payment");
    }

    function onBtnCompleteModalClick() {
        $("#check-out-modal").modal("hide");
        reloadModalCreateOrderToDefault();
    }
</script>

</html>